gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | Safe-Inferred
Language | Haskell98

Graphics.UI.Gtk.General.Enums

Description

General enumeration types.

Synopsis

- data AccelFlags
  - = AccelVisible
  - | AccelLocked
  - | AccelMask
- data Align
  - = AlignFill
  - | AlignStart
  - | AlignEnd
  - | AlignCenter
  - | AlignBaseline
- data ArrowType
  - = ArrowUp
  - | ArrowDown
  - | ArrowLeft
  - | ArrowRight
  - | ArrowNone
- data AttachOptions
  - = Expand
  - | Shrink
  - | Fill
- data BaselinePosition
  - = BaselinePositionTop
  - | BaselinePositionCenter
  - | BaselinePositionBottom
- data MouseButton
  - = LeftButton
  - | MiddleButton
  - | RightButton
  - | OtherButton Int
- data ButtonBoxStyle
  - = ButtonboxSpread
  - | ButtonboxEdge
  - | ButtonboxStart
  - | ButtonboxEnd
  - | ButtonboxCenter
  - | ButtonboxExpand
- data CalendarDisplayOptions
  - = CalendarShowHeading
  - | CalendarShowDayNames
  - | CalendarNoMonthChange
  - | CalendarShowWeekNumbers
  - | CalendarShowDetails
- data Click
  - = SingleClick
  - | DoubleClick
  - | TripleClick
  - | ReleaseClick
- data CornerType
  - = CornerTopLeft
  - | CornerBottomLeft
  - | CornerTopRight
  - | CornerBottomRight
- data DeleteType
  - = DeleteChars
  - | DeleteWordEnds
  - | DeleteWords
  - | DeleteDisplayLines
  - | DeleteDisplayLineEnds
  - | DeleteParagraphEnds
  - | DeleteParagraphs
  - | DeleteWhitespace
- data DestDefaults
  - = DestDefaultMotion
  - | DestDefaultHighlight
  - | DestDefaultDrop
  - | DestDefaultAll
- data DragResult
  - = DragResultSuccess
  - | DragResultNoTarget
  - | DragResultUserCancelled
  - | DragResultTimeoutExpired
  - | DragResultGrabBroken
  - | DragResultError
- data DirectionType
  - = DirTabForward
  - | DirTabBackward
  - | DirUp
  - | DirDown
  - | DirLeft
  - | DirRight
- data Justification
  - = JustifyLeft
  - | JustifyRight
  - | JustifyCenter
  - | JustifyFill
- data LevelBarMode
  - = LevelBarModeContinuous
  - | LevelBarModeDiscrete
- data MenuDirectionType
  - = MenuDirParent
  - | MenuDirChild
  - | MenuDirNext
  - | MenuDirPrev
- data MovementStep
  - = MovementLogicalPositions
  - | MovementVisualPositions
  - | MovementWords
  - | MovementDisplayLines
  - | MovementDisplayLineEnds
  - | MovementParagraphs
  - | MovementParagraphEnds
  - | MovementPages
  - | MovementBufferEnds
  - | MovementHorizontalPages
- data Orientation
  - = OrientationHorizontal
  - | OrientationVertical
- data Packing
  - = PackRepel
  - | PackGrow
  - | PackNatural
- toPacking :: Bool -> Bool -> Packing
- fromPacking :: Packing -> (Bool, Bool)
- data PackType
  - = PackStart
  - | PackEnd
- data PathPriorityType
  - = PathPrioLowest
  - | PathPrioGtk
  - | PathPrioApplication
  - | PathPrioTheme
  - | PathPrioRc
  - | PathPrioHighest
- data PathType
  - = PathWidget
  - | PathWidgetClass
  - | PathClass
- data PolicyType
  - = PolicyAlways
  - | PolicyAutomatic
  - | PolicyNever
  - | PolicyExternal
- data PositionType
  - = PosLeft
  - | PosRight
  - | PosTop
  - | PosBottom
- data ReliefStyle
  - = ReliefNormal
  - | ReliefHalf
  - | ReliefNone
- data ResizeMode
  - = ResizeParent
  - | ResizeQueue
  - | ResizeImmediate
- data ScrollType
  - = ScrollNone
  - | ScrollJump
  - | ScrollStepBackward
  - | ScrollStepForward
  - | ScrollPageBackward
  - | ScrollPageForward
  - | ScrollStepUp
  - | ScrollStepDown
  - | ScrollPageUp
  - | ScrollPageDown
  - | ScrollStepLeft
  - | ScrollStepRight
  - | ScrollPageLeft
  - | ScrollPageRight
  - | ScrollStart
  - | ScrollEnd
- data ScrollStep
  - = ScrollSteps
  - | ScrollPages
  - | ScrollEnds
  - | ScrollHorizontalSteps
  - | ScrollHorizontalPages
  - | ScrollHorizontalEnds
- data SelectionMode
  - = SelectionNone
  - | SelectionSingle
  - | SelectionBrowse
  - | SelectionMultiple
- data ShadowType
  - = ShadowNone
  - | ShadowIn
  - | ShadowOut
  - | ShadowEtchedIn
  - | ShadowEtchedOut
- data StateFlags
  - = StateFlagNormal
  - | StateFlagActive
  - | StateFlagPrelight
  - | StateFlagSelected
  - | StateFlagInsensitive
  - | StateFlagInconsistent
  - | StateFlagFocused
  - | StateFlagBackdrop
  - | StateFlagDirLtr
  - | StateFlagDirRtl
  - | StateFlagLink
  - | StateFlagVisited
  - | StateFlagChecked
  - | StateFlagDropActive
- data SortType
  - = SortAscending
  - | SortDescending
- data StateType
  - = StateNormal
  - | StateActive
  - | StatePrelight
  - | StateSelected
  - | StateInsensitive
  - | StateInconsistent
  - | StateFocused
- data SpinButtonUpdatePolicy
  - = UpdateAlways
  - | UpdateIfValid
- data SpinType
  - = SpinStepForward
  - | SpinStepBackward
  - | SpinPageForward
  - | SpinPageBackward
  - | SpinHome
  - | SpinEnd
  - | SpinUserDefined
- data TargetFlags
  - = TargetSameApp
  - | TargetSameWidget
  - | TargetOtherApp
  - | TargetOtherWidget
- data TextDirection
  - = TextDirNone
  - | TextDirLtr
  - | TextDirRtl
- data TextSearchFlags
  - = TextSearchVisibleOnly
  - | TextSearchTextOnly
  - | TextSearchCaseInsensitive
- data TextWindowType
  - = TextWindowPrivate
  - | TextWindowWidget
  - | TextWindowText
  - | TextWindowLeft
  - | TextWindowRight
  - | TextWindowTop
  - | TextWindowBottom
- data ToolbarStyle
  - = ToolbarIcons
  - | ToolbarText
  - | ToolbarBoth
  - | ToolbarBothHoriz
- data TreeViewColumnSizing
  - = TreeViewColumnGrowOnly
  - | TreeViewColumnAutosize
  - | TreeViewColumnFixed
- data WindowPosition
  - = WinPosNone
  - | WinPosCenter
  - | WinPosMouse
  - | WinPosCenterAlways
  - | WinPosCenterOnParent
- data WindowType
  - = WindowToplevel
  - | WindowPopup
- data WrapMode
  - = WrapNone
  - | WrapChar
  - | WrapWord
  - | WrapWordChar
- data EntryIconPosition
  - = EntryIconPrimary
  - | EntryIconSecondary
- data StackTransitionType
  - = StackTransitionTypeNone
  - | StackTransitionTypeCrossfade
  - | StackTransitionTypeSlideRight
  - | StackTransitionTypeSlideLeft
  - | StackTransitionTypeSlideUp
  - | StackTransitionTypeSlideDown
  - | StackTransitionTypeSlideLeftRight
  - | StackTransitionTypeSlideUpDown
  - | StackTransitionTypeOverUp
  - | StackTransitionTypeOverDown
  - | StackTransitionTypeOverLeft
  - | StackTransitionTypeOverRight
  - | StackTransitionTypeUnderUp
  - | StackTransitionTypeUnderDown
  - | StackTransitionTypeUnderLeft
  - | StackTransitionTypeUnderRight
  - | StackTransitionTypeOverUpDown
  - | StackTransitionTypeOverDownUp
  - | StackTransitionTypeOverLeftRight
  - | StackTransitionTypeOverRightLeft
- data Modifier
  - = Shift
  - | Lock
  - | Control
  - | Alt
  - | Alt2
  - | Alt3
  - | Alt4
  - | Alt5
  - | Button1
  - | Button2
  - | Button3
  - | Button4
  - | Button5
  - | MODIFIER_RESERVED_13_MASK
  - | MODIFIER_RESERVED_14_MASK
  - | MODIFIER_RESERVED_15_MASK
  - | MODIFIER_RESERVED_16_MASK
  - | MODIFIER_RESERVED_17_MASK
  - | MODIFIER_RESERVED_18_MASK
  - | MODIFIER_RESERVED_19_MASK
  - | MODIFIER_RESERVED_20_MASK
  - | MODIFIER_RESERVED_21_MASK
  - | MODIFIER_RESERVED_22_MASK
  - | MODIFIER_RESERVED_23_MASK
  - | MODIFIER_RESERVED_24_MASK
  - | MODIFIER_RESERVED_25_MASK
  - | Super
  - | Hyper
  - | Meta
  - | MODIFIER_RESERVED_29_MASK
  - | Release
  - | ModifierMask
- data EventMask
  - = ExposureMask
  - | PointerMotionMask
  - | PointerMotionHintMask
  - | ButtonMotionMask
  - | Button1MotionMask
  - | Button2MotionMask
  - | Button3MotionMask
  - | ButtonPressMask
  - | ButtonReleaseMask
  - | KeyPressMask
  - | KeyReleaseMask
  - | EnterNotifyMask
  - | LeaveNotifyMask
  - | FocusChangeMask
  - | StructureMask
  - | PropertyChangeMask
  - | VisibilityNotifyMask
  - | ProximityInMask
  - | ProximityOutMask
  - | SubstructureMask
  - | ScrollMask
  - | TouchMask
  - | SmoothScrollMask
  - | TouchpadGestureMask
  - | TabletPadMask
  - | AllEventsMask
- data ModifierIntent
  - = ModifierIntentPrimaryAccelerator
  - | ModifierIntentContextMenu
  - | ModifierIntentExtendSelection
  - | ModifierIntentModifySelection
  - | ModifierIntentNoTextInput
  - | ModifierIntentShiftGroup
  - | ModifierIntentDefaultModMask
- data WindowState
  - = WindowStateWithdrawn
  - | WindowStateIconified
  - | WindowStateMaximized
  - | WindowStateSticky
  - | WindowStateFullscreen
  - | WindowStateAbove
  - | WindowStateBelow
  - | WindowStateFocused
  - | WindowStateTiled
  - | WindowStateTopTiled
  - | WindowStateTopResizable
  - | WindowStateRightTiled
  - | WindowStateRightResizable
  - | WindowStateBottomTiled
  - | WindowStateBottomResizable
  - | WindowStateLeftTiled
  - | WindowStateLeftResizable
- data ScrollDirection
  - = ScrollUp
  - | ScrollDown
  - | ScrollLeft
  - | ScrollRight
  - | ScrollSmooth
- data VisibilityState
  - = VisibilityUnobscured
  - | VisibilityPartialObscured
  - | VisibilityFullyObscured
- data CrossingMode
  - = CrossingNormal
  - | CrossingGrab
  - | CrossingUngrab
  - | CrossingGtkGrab
  - | CrossingGtkUngrab
  - | CrossingStateChanged
  - | CrossingTouchBegin
  - | CrossingTouchEnd
  - | CrossingDeviceSwitch
- data NotifyType
  - = NotifyAncestor
  - | NotifyVirtual
  - | NotifyInferior
  - | NotifyNonlinear
  - | NotifyNonlinearVirtual
  - | NotifyUnknown
- data OwnerChange
  - = OwnerChangeNewOwner
  - | OwnerChangeDestroy
  - | OwnerChangeClose
- data GrabStatus
  - = GrabSuccess
  - | GrabAlreadyGrabbed
  - | GrabInvalidTime
  - | GrabNotViewable
  - | GrabFrozen
  - | GrabFailed
- data DragAction
  - = ActionDefault
  - | ActionCopy
  - | ActionMove
  - | ActionLink
  - | ActionPrivate
  - | ActionAsk
- data DragProtocol
  - = DragProtoNone
  - | DragProtoMotif
  - | DragProtoXdnd
  - | DragProtoRootwin
  - | DragProtoWin32Dropfiles
  - | DragProtoOle2
  - | DragProtoLocal
  - | DragProtoWayland
- data WindowEdge
  - = WindowEdgeNorthWest
  - | WindowEdgeNorth
  - | WindowEdgeNorthEast
  - | WindowEdgeWest
  - | WindowEdgeEast
  - | WindowEdgeSouthWest
  - | WindowEdgeSouth
  - | WindowEdgeSouthEast
- data WindowTypeHint
  - = WindowTypeHintNormal
  - | WindowTypeHintDialog
  - | WindowTypeHintMenu
  - | WindowTypeHintToolbar
  - | WindowTypeHintSplashscreen
  - | WindowTypeHintUtility
  - | WindowTypeHintDock
  - | WindowTypeHintDesktop
  - | WindowTypeHintDropdownMenu
  - | WindowTypeHintPopupMenu
  - | WindowTypeHintTooltip
  - | WindowTypeHintNotification
  - | WindowTypeHintCombo
  - | WindowTypeHintDnd
- data Gravity
  - = GravityNorthWest
  - | GravityNorth
  - | GravityNorthEast
  - | GravityWest
  - | GravityCenter
  - | GravityEast
  - | GravitySouthWest
  - | GravitySouth
  - | GravitySouthEast
  - | GravityStatic

# Documentation

data AccelFlags Source #

State of an accelerator

Constructors

AccelVisible |
AccelLocked |
AccelMask |

#### Instances

Instances details

Bounded AccelFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods minBound :: AccelFlags Source # maxBound :: AccelFlags Source #
Enum AccelFlags Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: AccelFlags -> AccelFlags Source #

pred :: AccelFlags -> AccelFlags Source #

toEnum :: Int -> AccelFlags Source #

fromEnum :: AccelFlags -> Int Source #

enumFrom :: AccelFlags -> [AccelFlags] Source #

enumFromThen :: AccelFlags -> AccelFlags -> [AccelFlags] Source #

enumFromTo :: AccelFlags -> AccelFlags -> [AccelFlags] Source #

enumFromThenTo :: AccelFlags -> AccelFlags -> AccelFlags -> [AccelFlags] Source #

Show AccelFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> AccelFlags -> ShowS Source # show :: AccelFlags -> String Source # showList :: [AccelFlags] -> ShowS Source #
Eq AccelFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: AccelFlags -> AccelFlags -> Bool Source # (/=) :: AccelFlags -> AccelFlags -> Bool Source #
Flags AccelFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums

data Align Source #

State of an accelerator

Constructors

AlignFill |
AlignStart |
AlignEnd |
AlignCenter |
AlignBaseline |

#### Instances

Instances details

Bounded Align Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods minBound :: Align Source # maxBound :: Align Source #
Enum Align Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods succ :: Align -> Align Source # pred :: Align -> Align Source # toEnum :: Int -> Align Source # fromEnum :: Align -> Int Source # enumFrom :: Align -> [Align] Source # enumFromThen :: Align -> Align -> [Align] Source # enumFromTo :: Align -> Align -> [Align] Source # enumFromThenTo :: Align -> Align -> Align -> [Align] Source #
Show Align Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> Align -> ShowS Source # show :: Align -> String Source # showList :: [Align] -> ShowS Source #
Eq Align Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: Align -> Align -> Bool Source # (/=) :: Align -> Align -> Bool Source #

data ArrowType Source #

Arrow directions for the arrow widget

Constructors

ArrowUp |
ArrowDown |
ArrowLeft |
ArrowRight |
ArrowNone |

#### Instances

Instances details

Enum ArrowType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ArrowType -> ArrowType Source #

pred :: ArrowType -> ArrowType Source #

toEnum :: Int -> ArrowType Source #

fromEnum :: ArrowType -> Int Source #

enumFrom :: ArrowType -> [ArrowType] Source #

enumFromThen :: ArrowType -> ArrowType -> [ArrowType] Source #

enumFromTo :: ArrowType -> ArrowType -> [ArrowType] Source #

enumFromThenTo :: ArrowType -> ArrowType -> ArrowType -> [ArrowType] Source #

Show ArrowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ArrowType -> ShowS Source # show :: ArrowType -> String Source # showList :: [ArrowType] -> ShowS Source #
Eq ArrowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ArrowType -> ArrowType -> Bool Source # (/=) :: ArrowType -> ArrowType -> Bool Source #

data AttachOptions Source #

Child widget attach options for table containers

Constructors

Expand |
Shrink |
Fill |

#### Instances

Instances details

Bounded AttachOptions Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods minBound :: AttachOptions Source # maxBound :: AttachOptions Source #
Enum AttachOptions Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: AttachOptions -> AttachOptions Source #

pred :: AttachOptions -> AttachOptions Source #

toEnum :: Int -> AttachOptions Source #

fromEnum :: AttachOptions -> Int Source #

enumFrom :: AttachOptions -> [AttachOptions] Source #

enumFromThen :: AttachOptions -> AttachOptions -> [AttachOptions] Source #

enumFromTo :: AttachOptions -> AttachOptions -> [AttachOptions] Source #

enumFromThenTo :: AttachOptions -> AttachOptions -> AttachOptions -> [AttachOptions] Source #

Show AttachOptions Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> AttachOptions -> ShowS Source # show :: AttachOptions -> String Source # showList :: [AttachOptions] -> ShowS Source #
Eq AttachOptions Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: AttachOptions -> AttachOptions -> Bool Source # (/=) :: AttachOptions -> AttachOptions -> Bool Source #
Flags AttachOptions Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums

data BaselinePosition Source #

Whenever a container has some form of natural row it may align children in that row along a common typographical baseline. If the amount of vertical space in the row is taller than the total requested height of the baseline-aligned children then it can use a BaselinePosition to select where to put the baseline inside the extra available space.

Constructors

BaselinePositionTop |
BaselinePositionCenter |
BaselinePositionBottom |

#### Instances

Instances details

Enum BaselinePosition Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: BaselinePosition -> BaselinePosition Source #

pred :: BaselinePosition -> BaselinePosition Source #

toEnum :: Int -> BaselinePosition Source #

fromEnum :: BaselinePosition -> Int Source #

enumFrom :: BaselinePosition -> [BaselinePosition] Source #

enumFromThen :: BaselinePosition -> BaselinePosition -> [BaselinePosition] Source #

enumFromTo :: BaselinePosition -> BaselinePosition -> [BaselinePosition] Source #

enumFromThenTo :: BaselinePosition -> BaselinePosition -> BaselinePosition -> [BaselinePosition] Source #

Show BaselinePosition Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> BaselinePosition -> ShowS Source # show :: BaselinePosition -> String Source # showList :: [BaselinePosition] -> ShowS Source #
Eq BaselinePosition Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: BaselinePosition -> BaselinePosition -> Bool Source # (/=) :: BaselinePosition -> BaselinePosition -> Bool Source #

data MouseButton Source #

Mouse buttons.

Constructors

LeftButton |
MiddleButton |
RightButton |
OtherButton Int |

#### Instances

Instances details

Enum MouseButton Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: MouseButton -> MouseButton Source #

pred :: MouseButton -> MouseButton Source #

toEnum :: Int -> MouseButton Source #

fromEnum :: MouseButton -> Int Source #

enumFrom :: MouseButton -> [MouseButton] Source #

enumFromThen :: MouseButton -> MouseButton -> [MouseButton] Source #

enumFromTo :: MouseButton -> MouseButton -> [MouseButton] Source #

enumFromThenTo :: MouseButton -> MouseButton -> MouseButton -> [MouseButton] Source #

Show MouseButton Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> MouseButton -> ShowS Source # show :: MouseButton -> String Source # showList :: [MouseButton] -> ShowS Source #
Eq MouseButton Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: MouseButton -> MouseButton -> Bool Source # (/=) :: MouseButton -> MouseButton -> Bool Source #

data ButtonBoxStyle Source #

Dictate the style that a ButtonBox uses to align it contents

Constructors

ButtonboxSpread |
ButtonboxEdge |
ButtonboxStart |
ButtonboxEnd |
ButtonboxCenter |
ButtonboxExpand |

#### Instances

Instances details

Enum ButtonBoxStyle Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ButtonBoxStyle -> ButtonBoxStyle Source #

pred :: ButtonBoxStyle -> ButtonBoxStyle Source #

toEnum :: Int -> ButtonBoxStyle Source #

fromEnum :: ButtonBoxStyle -> Int Source #

enumFrom :: ButtonBoxStyle -> [ButtonBoxStyle] Source #

enumFromThen :: ButtonBoxStyle -> ButtonBoxStyle -> [ButtonBoxStyle] Source #

enumFromTo :: ButtonBoxStyle -> ButtonBoxStyle -> [ButtonBoxStyle] Source #

enumFromThenTo :: ButtonBoxStyle -> ButtonBoxStyle -> ButtonBoxStyle -> [ButtonBoxStyle] Source #

Show ButtonBoxStyle Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ButtonBoxStyle -> ShowS Source # show :: ButtonBoxStyle -> String Source # showList :: [ButtonBoxStyle] -> ShowS Source #
Eq ButtonBoxStyle Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ButtonBoxStyle -> ButtonBoxStyle -> Bool Source # (/=) :: ButtonBoxStyle -> ButtonBoxStyle -> Bool Source #

data CalendarDisplayOptions Source #

Specify which items of a calendar should be displayed.

Constructors

CalendarShowHeading |
CalendarShowDayNames |
CalendarNoMonthChange |
CalendarShowWeekNumbers |
CalendarShowDetails |

#### Instances

Instances details

Bounded CalendarDisplayOptions Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods minBound :: CalendarDisplayOptions Source # maxBound :: CalendarDisplayOptions Source #
Enum CalendarDisplayOptions Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: CalendarDisplayOptions -> CalendarDisplayOptions Source #

pred :: CalendarDisplayOptions -> CalendarDisplayOptions Source #

toEnum :: Int -> CalendarDisplayOptions Source #

fromEnum :: CalendarDisplayOptions -> Int Source #

enumFrom :: CalendarDisplayOptions -> [CalendarDisplayOptions] Source #

enumFromThen :: CalendarDisplayOptions -> CalendarDisplayOptions -> [CalendarDisplayOptions] Source #

enumFromTo :: CalendarDisplayOptions -> CalendarDisplayOptions -> [CalendarDisplayOptions] Source #

enumFromThenTo :: CalendarDisplayOptions -> CalendarDisplayOptions -> CalendarDisplayOptions -> [CalendarDisplayOptions] Source #

Show CalendarDisplayOptions Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> CalendarDisplayOptions -> ShowS Source # show :: CalendarDisplayOptions -> String Source # showList :: [CalendarDisplayOptions] -> ShowS Source #
Eq CalendarDisplayOptions Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: CalendarDisplayOptions -> CalendarDisplayOptions -> Bool Source # (/=) :: CalendarDisplayOptions -> CalendarDisplayOptions -> Bool Source #
Flags CalendarDisplayOptions Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums

data Click Source #

Type of mouse click

Constructors

SingleClick |
DoubleClick |
TripleClick |
ReleaseClick |

#### Instances

Instances details

Enum Click Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods succ :: Click -> Click Source # pred :: Click -> Click Source # toEnum :: Int -> Click Source # fromEnum :: Click -> Int Source # enumFrom :: Click -> [Click] Source # enumFromThen :: Click -> Click -> [Click] Source # enumFromTo :: Click -> Click -> [Click] Source # enumFromThenTo :: Click -> Click -> Click -> [Click] Source #
Show Click Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> Click -> ShowS Source # show :: Click -> String Source # showList :: [Click] -> ShowS Source #
Eq Click Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: Click -> Click -> Bool Source # (/=) :: Click -> Click -> Bool Source #

data CornerType Source #

Specifies in which corner a child widget should be placed

Constructors

CornerTopLeft |
CornerBottomLeft |
CornerTopRight |
CornerBottomRight |

#### Instances

Instances details

Enum CornerType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: CornerType -> CornerType Source #

pred :: CornerType -> CornerType Source #

toEnum :: Int -> CornerType Source #

fromEnum :: CornerType -> Int Source #

enumFrom :: CornerType -> [CornerType] Source #

enumFromThen :: CornerType -> CornerType -> [CornerType] Source #

enumFromTo :: CornerType -> CornerType -> [CornerType] Source #

enumFromThenTo :: CornerType -> CornerType -> CornerType -> [CornerType] Source #

Show CornerType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> CornerType -> ShowS Source # show :: CornerType -> String Source # showList :: [CornerType] -> ShowS Source #
Eq CornerType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: CornerType -> CornerType -> Bool Source # (/=) :: CornerType -> CornerType -> Bool Source #

data DeleteType Source #

Editing option

Constructors

DeleteChars |
DeleteWordEnds |
DeleteWords |
DeleteDisplayLines |
DeleteDisplayLineEnds |
DeleteParagraphEnds |
DeleteParagraphs |
DeleteWhitespace |

#### Instances

Instances details

Enum DeleteType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: DeleteType -> DeleteType Source #

pred :: DeleteType -> DeleteType Source #

toEnum :: Int -> DeleteType Source #

fromEnum :: DeleteType -> Int Source #

enumFrom :: DeleteType -> [DeleteType] Source #

enumFromThen :: DeleteType -> DeleteType -> [DeleteType] Source #

enumFromTo :: DeleteType -> DeleteType -> [DeleteType] Source #

enumFromThenTo :: DeleteType -> DeleteType -> DeleteType -> [DeleteType] Source #

Show DeleteType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> DeleteType -> ShowS Source # show :: DeleteType -> String Source # showList :: [DeleteType] -> ShowS Source #
Eq DeleteType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: DeleteType -> DeleteType -> Bool Source # (/=) :: DeleteType -> DeleteType -> Bool Source #

data DestDefaults Source #

The `DestDefaults` enumeration specifies the various types of action that will be taken on behalf of the user for a drag destination site.

- `DestDefaultMotion`: If set for a widget, GTK+, during a drag over this widget will check if the drag matches this widget's list of possible targets and actions. GTK+ will then call `dragStatus` as appropriate.
- `DestDefaultHighlight`: If set for a widget, GTK+ will draw a highlight on this widget as long as a drag is over this widget and the widget drag format and action are acceptable.
- `DestDefaultDrop`: If set for a widget, when a drop occurs, GTK+ will will check if the drag matches this widget's list of possible targets and actions. If so, GTK+ will call `dragGetData` on behalf of the widget. Whether or not the drop is successful, GTK+ will call `dragFinish`. If the action was a move, then if the drag was successful, then `True` will be passed for the delete parameter to `dragFinish`
- `DestDefaultAll`: If set, specifies that all default actions should be taken.

Constructors

DestDefaultMotion |
DestDefaultHighlight |
DestDefaultDrop |
DestDefaultAll |

#### Instances

Instances details

Bounded DestDefaults Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods minBound :: DestDefaults Source # maxBound :: DestDefaults Source #

Enum DestDefaults Source #

Gives an indication why a drag operation failed. The value can by obtained by connecting to the `dragFailed` signal.

- `DragResultSuccess`: The drag operation was successful
- `DragResultNoTarget`: No suitable drag target
- `DragResultUserCancelled`: The user cancelled the drag operation
- `DragResultTimeoutExpired`: The drag operation timed out
- `DragResultGrabBroken`: The pointer or keyboard grab used for the drag operation was broken
- `DragResultError`: The drag operation failed due to some unspecified error

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: DestDefaults -> DestDefaults Source #

pred :: DestDefaults -> DestDefaults Source #

toEnum :: Int -> DestDefaults Source #

fromEnum :: DestDefaults -> Int Source #

enumFrom :: DestDefaults -> [DestDefaults] Source #

enumFromThen :: DestDefaults -> DestDefaults -> [DestDefaults] Source #

enumFromTo :: DestDefaults -> DestDefaults -> [DestDefaults] Source #

enumFromThenTo :: DestDefaults -> DestDefaults -> DestDefaults -> [DestDefaults] Source #

Show DestDefaults Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> DestDefaults -> ShowS Source # show :: DestDefaults -> String Source # showList :: [DestDefaults] -> ShowS Source #
Eq DestDefaults Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: DestDefaults -> DestDefaults -> Bool Source # (/=) :: DestDefaults -> DestDefaults -> Bool Source #
Flags DestDefaults Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums

data DragResult Source #

Constructors

DragResultSuccess |
DragResultNoTarget |
DragResultUserCancelled |
DragResultTimeoutExpired |
DragResultGrabBroken |
DragResultError |

#### Instances

Instances details

Bounded DragResult Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods minBound :: DragResult Source # maxBound :: DragResult Source #
Enum DragResult Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: DragResult -> DragResult Source #

pred :: DragResult -> DragResult Source #

toEnum :: Int -> DragResult Source #

fromEnum :: DragResult -> Int Source #

enumFrom :: DragResult -> [DragResult] Source #

enumFromThen :: DragResult -> DragResult -> [DragResult] Source #

enumFromTo :: DragResult -> DragResult -> [DragResult] Source #

enumFromThenTo :: DragResult -> DragResult -> DragResult -> [DragResult] Source #

Show DragResult Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> DragResult -> ShowS Source # show :: DragResult -> String Source # showList :: [DragResult] -> ShowS Source #
Eq DragResult Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: DragResult -> DragResult -> Bool Source # (/=) :: DragResult -> DragResult -> Bool Source #

data DirectionType Source #

Editing direction

Constructors

DirTabForward |
DirTabBackward |
DirUp |
DirDown |
DirLeft |
DirRight |

#### Instances

Instances details

Enum DirectionType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: DirectionType -> DirectionType Source #

pred :: DirectionType -> DirectionType Source #

toEnum :: Int -> DirectionType Source #

fromEnum :: DirectionType -> Int Source #

enumFrom :: DirectionType -> [DirectionType] Source #

enumFromThen :: DirectionType -> DirectionType -> [DirectionType] Source #

enumFromTo :: DirectionType -> DirectionType -> [DirectionType] Source #

enumFromThenTo :: DirectionType -> DirectionType -> DirectionType -> [DirectionType] Source #

Show DirectionType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> DirectionType -> ShowS Source # show :: DirectionType -> String Source # showList :: [DirectionType] -> ShowS Source #
Eq DirectionType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: DirectionType -> DirectionType -> Bool Source # (/=) :: DirectionType -> DirectionType -> Bool Source #

data Justification Source #

Justification for label and maybe other widgets (text?)

Constructors

JustifyLeft |
JustifyRight |
JustifyCenter |
JustifyFill |

#### Instances

Instances details

Enum Justification Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: Justification -> Justification Source #

pred :: Justification -> Justification Source #

toEnum :: Int -> Justification Source #

fromEnum :: Justification -> Int Source #

enumFrom :: Justification -> [Justification] Source #

enumFromThen :: Justification -> Justification -> [Justification] Source #

enumFromTo :: Justification -> Justification -> [Justification] Source #

enumFromThenTo :: Justification -> Justification -> Justification -> [Justification] Source #

Show Justification Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> Justification -> ShowS Source # show :: Justification -> String Source # showList :: [Justification] -> ShowS Source #
Eq Justification Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: Justification -> Justification -> Bool Source # (/=) :: Justification -> Justification -> Bool Source #

data LevelBarMode Source #

Constructors

LevelBarModeContinuous |
LevelBarModeDiscrete |

#### Instances

Instances details

Enum LevelBarMode Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: LevelBarMode -> LevelBarMode Source #

pred :: LevelBarMode -> LevelBarMode Source #

toEnum :: Int -> LevelBarMode Source #

fromEnum :: LevelBarMode -> Int Source #

enumFrom :: LevelBarMode -> [LevelBarMode] Source #

enumFromThen :: LevelBarMode -> LevelBarMode -> [LevelBarMode] Source #

enumFromTo :: LevelBarMode -> LevelBarMode -> [LevelBarMode] Source #

enumFromThenTo :: LevelBarMode -> LevelBarMode -> LevelBarMode -> [LevelBarMode] Source #

Show LevelBarMode Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> LevelBarMode -> ShowS Source # show :: LevelBarMode -> String Source # showList :: [LevelBarMode] -> ShowS Source #
Eq LevelBarMode Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: LevelBarMode -> LevelBarMode -> Bool Source # (/=) :: LevelBarMode -> LevelBarMode -> Bool Source #

data MenuDirectionType Source #

From where was a menu item entered?

Constructors

MenuDirParent |
MenuDirChild |
MenuDirNext |
MenuDirPrev |

#### Instances

Instances details

Enum MenuDirectionType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: MenuDirectionType -> MenuDirectionType Source #

pred :: MenuDirectionType -> MenuDirectionType Source #

toEnum :: Int -> MenuDirectionType Source #

fromEnum :: MenuDirectionType -> Int Source #

enumFrom :: MenuDirectionType -> [MenuDirectionType] Source #

enumFromThen :: MenuDirectionType -> MenuDirectionType -> [MenuDirectionType] Source #

enumFromTo :: MenuDirectionType -> MenuDirectionType -> [MenuDirectionType] Source #

enumFromThenTo :: MenuDirectionType -> MenuDirectionType -> MenuDirectionType -> [MenuDirectionType] Source #

Show MenuDirectionType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> MenuDirectionType -> ShowS Source # show :: MenuDirectionType -> String Source # showList :: [MenuDirectionType] -> ShowS Source #
Eq MenuDirectionType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: MenuDirectionType -> MenuDirectionType -> Bool Source # (/=) :: MenuDirectionType -> MenuDirectionType -> Bool Source #

data MovementStep Source #

Movement in text widget

Constructors

MovementLogicalPositions |
MovementVisualPositions |
MovementWords |
MovementDisplayLines |
MovementDisplayLineEnds |
MovementParagraphs |
MovementParagraphEnds |
MovementPages |
MovementBufferEnds |
MovementHorizontalPages |

#### Instances

Instances details

Enum MovementStep Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: MovementStep -> MovementStep Source #

pred :: MovementStep -> MovementStep Source #

toEnum :: Int -> MovementStep Source #

fromEnum :: MovementStep -> Int Source #

enumFrom :: MovementStep -> [MovementStep] Source #

enumFromThen :: MovementStep -> MovementStep -> [MovementStep] Source #

enumFromTo :: MovementStep -> MovementStep -> [MovementStep] Source #

enumFromThenTo :: MovementStep -> MovementStep -> MovementStep -> [MovementStep] Source #

Show MovementStep Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> MovementStep -> ShowS Source # show :: MovementStep -> String Source # showList :: [MovementStep] -> ShowS Source #
Eq MovementStep Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: MovementStep -> MovementStep -> Bool Source # (/=) :: MovementStep -> MovementStep -> Bool Source #

data Orientation Source #

Orientation is good

Constructors

OrientationHorizontal |
OrientationVertical |

#### Instances

Instances details

Enum Orientation Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: Orientation -> Orientation Source #

pred :: Orientation -> Orientation Source #

toEnum :: Int -> Orientation Source #

fromEnum :: Orientation -> Int Source #

enumFrom :: Orientation -> [Orientation] Source #

enumFromThen :: Orientation -> Orientation -> [Orientation] Source #

enumFromTo :: Orientation -> Orientation -> [Orientation] Source #

enumFromThenTo :: Orientation -> Orientation -> Orientation -> [Orientation] Source #

Show Orientation Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> Orientation -> ShowS Source # show :: Orientation -> String Source # showList :: [Orientation] -> ShowS Source #
Eq Orientation Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: Orientation -> Orientation -> Bool Source # (/=) :: Orientation -> Orientation -> Bool Source #

data Packing Source #

Packing parameters of a widget

- The `Packing` parameter determines how the child behaves in the horizontal or vertical way in an `HBox` or `VBox`, respectively. `PackNatural` means the child is as big as it requests. It will stay at the start or end of a `Box` if there is more space available. All children packed with `PackRepel` will be padded on both sides with additional space. `PackGrow` will increase the size of a widget so that it covers the available space. A menu bar, for instance, should always stay at the top of a window and should only occupy as little space as possible. Hence it should be packed at the start of a `VBox` with the packing option `PackNatural`. The working area of a window (e.g. the text area in an editor) should expand when the window is resized. Here the packing option `PackGrow` is the right choice and it is irrelevant whether the main area is inserted at the start or the end of a box. Finally `PackRepel` is most useful in a window where no widget can make use of excess space. Examples include a dialog box without list boxes or text fields.

Constructors

PackRepel |
PackGrow |
PackNatural |

#### Instances

Instances details

Enum Packing Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: Packing -> Packing Source #

pred :: Packing -> Packing Source #

toEnum :: Int -> Packing Source #

fromEnum :: Packing -> Int Source #

enumFrom :: Packing -> [Packing] Source #

enumFromThen :: Packing -> Packing -> [Packing] Source #

enumFromTo :: Packing -> Packing -> [Packing] Source #

enumFromThenTo :: Packing -> Packing -> Packing -> [Packing] Source #

Show Packing Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> Packing -> ShowS Source # show :: Packing -> String Source # showList :: [Packing] -> ShowS Source #
Eq Packing Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: Packing -> Packing -> Bool Source # (/=) :: Packing -> Packing -> Bool Source #

toPacking :: Bool -> Bool -> Packing Source #

fromPacking :: Packing -> (Bool, Bool) Source #

data PackType Source #

Packing of widgets at start or end in a box

Constructors

PackStart |
PackEnd |

#### Instances

Instances details

Enum PackType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: PackType -> PackType Source #

pred :: PackType -> PackType Source #

toEnum :: Int -> PackType Source #

fromEnum :: PackType -> Int Source #

enumFrom :: PackType -> [PackType] Source #

enumFromThen :: PackType -> PackType -> [PackType] Source #

enumFromTo :: PackType -> PackType -> [PackType] Source #

enumFromThenTo :: PackType -> PackType -> PackType -> [PackType] Source #

Show PackType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> PackType -> ShowS Source # show :: PackType -> String Source # showList :: [PackType] -> ShowS Source #
Eq PackType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: PackType -> PackType -> Bool Source # (/=) :: PackType -> PackType -> Bool Source #

data PathPriorityType Source #

Priorities

Constructors

PathPrioLowest |
PathPrioGtk |
PathPrioApplication |
PathPrioTheme |
PathPrioRc |
PathPrioHighest |

#### Instances

Instances details

Enum PathPriorityType Source # | Scrollbar policy types (for scrolled windows)

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: PathPriorityType -> PathPriorityType Source #

pred :: PathPriorityType -> PathPriorityType Source #

toEnum :: Int -> PathPriorityType Source #

fromEnum :: PathPriorityType -> Int Source #

enumFrom :: PathPriorityType -> [PathPriorityType] Source #

enumFromThen :: PathPriorityType -> PathPriorityType -> [PathPriorityType] Source #

enumFromTo :: PathPriorityType -> PathPriorityType -> [PathPriorityType] Source #

enumFromThenTo :: PathPriorityType -> PathPriorityType -> PathPriorityType -> [PathPriorityType] Source #

Show PathPriorityType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> PathPriorityType -> ShowS Source # show :: PathPriorityType -> String Source # showList :: [PathPriorityType] -> ShowS Source #
Eq PathPriorityType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: PathPriorityType -> PathPriorityType -> Bool Source # (/=) :: PathPriorityType -> PathPriorityType -> Bool Source #

data PathType Source #

Widget identification path

Constructors

PathWidget |
PathWidgetClass |
PathClass |

#### Instances

Instances details

Enum PathType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: PathType -> PathType Source #

pred :: PathType -> PathType Source #

toEnum :: Int -> PathType Source #

fromEnum :: PathType -> Int Source #

enumFrom :: PathType -> [PathType] Source #

enumFromThen :: PathType -> PathType -> [PathType] Source #

enumFromTo :: PathType -> PathType -> [PathType] Source #

enumFromThenTo :: PathType -> PathType -> PathType -> [PathType] Source #

Show PathType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> PathType -> ShowS Source # show :: PathType -> String Source # showList :: [PathType] -> ShowS Source #
Eq PathType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: PathType -> PathType -> Bool Source # (/=) :: PathType -> PathType -> Bool Source #

data PolicyType Source #

Constructors

PolicyAlways |
PolicyAutomatic |
PolicyNever |
PolicyExternal |

#### Instances

Instances details

Enum PolicyType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: PolicyType -> PolicyType Source #

pred :: PolicyType -> PolicyType Source #

toEnum :: Int -> PolicyType Source #

fromEnum :: PolicyType -> Int Source #

enumFrom :: PolicyType -> [PolicyType] Source #

enumFromThen :: PolicyType -> PolicyType -> [PolicyType] Source #

enumFromTo :: PolicyType -> PolicyType -> [PolicyType] Source #

enumFromThenTo :: PolicyType -> PolicyType -> PolicyType -> [PolicyType] Source #

Show PolicyType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> PolicyType -> ShowS Source # show :: PolicyType -> String Source # showList :: [PolicyType] -> ShowS Source #
Eq PolicyType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: PolicyType -> PolicyType -> Bool Source # (/=) :: PolicyType -> PolicyType -> Bool Source #

data PositionType Source #

Position a scale's value is drawn relative to the through

Constructors

PosLeft |
PosRight |
PosTop |
PosBottom |

#### Instances

Instances details

Enum PositionType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: PositionType -> PositionType Source #

pred :: PositionType -> PositionType Source #

toEnum :: Int -> PositionType Source #

fromEnum :: PositionType -> Int Source #

enumFrom :: PositionType -> [PositionType] Source #

enumFromThen :: PositionType -> PositionType -> [PositionType] Source #

enumFromTo :: PositionType -> PositionType -> [PositionType] Source #

enumFromThenTo :: PositionType -> PositionType -> PositionType -> [PositionType] Source #

Show PositionType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> PositionType -> ShowS Source # show :: PositionType -> String Source # showList :: [PositionType] -> ShowS Source #
Eq PositionType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: PositionType -> PositionType -> Bool Source # (/=) :: PositionType -> PositionType -> Bool Source #

data ReliefStyle Source #

I don't have a clue.

Constructors

ReliefNormal |
ReliefHalf |
ReliefNone |

#### Instances

Instances details

Enum ReliefStyle Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ReliefStyle -> ReliefStyle Source #

pred :: ReliefStyle -> ReliefStyle Source #

toEnum :: Int -> ReliefStyle Source #

fromEnum :: ReliefStyle -> Int Source #

enumFrom :: ReliefStyle -> [ReliefStyle] Source #

enumFromThen :: ReliefStyle -> ReliefStyle -> [ReliefStyle] Source #

enumFromTo :: ReliefStyle -> ReliefStyle -> [ReliefStyle] Source #

enumFromThenTo :: ReliefStyle -> ReliefStyle -> ReliefStyle -> [ReliefStyle] Source #

Show ReliefStyle Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ReliefStyle -> ShowS Source # show :: ReliefStyle -> String Source # showList :: [ReliefStyle] -> ShowS Source #
Eq ReliefStyle Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ReliefStyle -> ReliefStyle -> Bool Source # (/=) :: ReliefStyle -> ReliefStyle -> Bool Source #

data ResizeMode Source #

Resize mode, for containers

- `ResizeParent` Pass resize request to the parent
- `ResizeQueue` Queue resizes on this widget
- `ResizeImmediate` Perform the resizes now

Constructors

ResizeParent |
ResizeQueue |
ResizeImmediate |

#### Instances

Instances details

Enum ResizeMode Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ResizeMode -> ResizeMode Source #

pred :: ResizeMode -> ResizeMode Source #

toEnum :: Int -> ResizeMode Source #

fromEnum :: ResizeMode -> Int Source #

enumFrom :: ResizeMode -> [ResizeMode] Source #

enumFromThen :: ResizeMode -> ResizeMode -> [ResizeMode] Source #

enumFromTo :: ResizeMode -> ResizeMode -> [ResizeMode] Source #

enumFromThenTo :: ResizeMode -> ResizeMode -> ResizeMode -> [ResizeMode] Source #

Show ResizeMode Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ResizeMode -> ShowS Source # show :: ResizeMode -> String Source # showList :: [ResizeMode] -> ShowS Source #
Eq ResizeMode Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ResizeMode -> ResizeMode -> Bool Source # (/=) :: ResizeMode -> ResizeMode -> Bool Source #

data ScrollType Source #

Scrolling type

Constructors

ScrollNone |
ScrollJump |
ScrollStepBackward |
ScrollStepForward |
ScrollPageBackward |
ScrollPageForward |
ScrollStepUp |
ScrollStepDown |
ScrollPageUp |
ScrollPageDown |
ScrollStepLeft |
ScrollStepRight |
ScrollPageLeft |
ScrollPageRight |
ScrollStart |
ScrollEnd |

#### Instances

Instances details

Enum ScrollType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ScrollType -> ScrollType Source #

pred :: ScrollType -> ScrollType Source #

toEnum :: Int -> ScrollType Source #

fromEnum :: ScrollType -> Int Source #

enumFrom :: ScrollType -> [ScrollType] Source #

enumFromThen :: ScrollType -> ScrollType -> [ScrollType] Source #

enumFromTo :: ScrollType -> ScrollType -> [ScrollType] Source #

enumFromThenTo :: ScrollType -> ScrollType -> ScrollType -> [ScrollType] Source #

Show ScrollType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ScrollType -> ShowS Source # show :: ScrollType -> String Source # showList :: [ScrollType] -> ShowS Source #
Eq ScrollType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ScrollType -> ScrollType -> Bool Source # (/=) :: ScrollType -> ScrollType -> Bool Source #

data ScrollStep Source #

Scrolling step

Constructors

ScrollSteps |
ScrollPages |
ScrollEnds |
ScrollHorizontalSteps |
ScrollHorizontalPages |
ScrollHorizontalEnds |

#### Instances

Instances details

Enum ScrollStep Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ScrollStep -> ScrollStep Source #

pred :: ScrollStep -> ScrollStep Source #

toEnum :: Int -> ScrollStep Source #

fromEnum :: ScrollStep -> Int Source #

enumFrom :: ScrollStep -> [ScrollStep] Source #

enumFromThen :: ScrollStep -> ScrollStep -> [ScrollStep] Source #

enumFromTo :: ScrollStep -> ScrollStep -> [ScrollStep] Source #

enumFromThenTo :: ScrollStep -> ScrollStep -> ScrollStep -> [ScrollStep] Source #

Show ScrollStep Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ScrollStep -> ShowS Source # show :: ScrollStep -> String Source # showList :: [ScrollStep] -> ShowS Source #
Eq ScrollStep Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ScrollStep -> ScrollStep -> Bool Source # (/=) :: ScrollStep -> ScrollStep -> Bool Source #

data SelectionMode Source #

Mode in which selections can be performed

- There is a deprecated entry SelectionExtended which should have the same value as SelectionMultiple. C2HS chokes on that construct.

Constructors

SelectionNone |
SelectionSingle |
SelectionBrowse |
SelectionMultiple |

#### Instances

Instances details

Enum SelectionMode Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: SelectionMode -> SelectionMode Source #

pred :: SelectionMode -> SelectionMode Source #

toEnum :: Int -> SelectionMode Source #

fromEnum :: SelectionMode -> Int Source #

enumFrom :: SelectionMode -> [SelectionMode] Source #

enumFromThen :: SelectionMode -> SelectionMode -> [SelectionMode] Source #

enumFromTo :: SelectionMode -> SelectionMode -> [SelectionMode] Source #

enumFromThenTo :: SelectionMode -> SelectionMode -> SelectionMode -> [SelectionMode] Source #

Show SelectionMode Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> SelectionMode -> ShowS Source # show :: SelectionMode -> String Source # showList :: [SelectionMode] -> ShowS Source #
Eq SelectionMode Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: SelectionMode -> SelectionMode -> Bool Source # (/=) :: SelectionMode -> SelectionMode -> Bool Source #

data ShadowType Source #

Shadow types

Constructors

ShadowNone |
ShadowIn |
ShadowOut |
ShadowEtchedIn |
ShadowEtchedOut |

#### Instances

Instances details

Enum ShadowType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ShadowType -> ShadowType Source #

pred :: ShadowType -> ShadowType Source #

toEnum :: Int -> ShadowType Source #

fromEnum :: ShadowType -> Int Source #

enumFrom :: ShadowType -> [ShadowType] Source #

enumFromThen :: ShadowType -> ShadowType -> [ShadowType] Source #

enumFromTo :: ShadowType -> ShadowType -> [ShadowType] Source #

enumFromThenTo :: ShadowType -> ShadowType -> ShadowType -> [ShadowType] Source #

Show ShadowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ShadowType -> ShowS Source # show :: ShadowType -> String Source # showList :: [ShadowType] -> ShowS Source #
Eq ShadowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ShadowType -> ShadowType -> Bool Source # (/=) :: ShadowType -> ShadowType -> Bool Source #

data StateFlags Source #

Describes a widget state. Widget states are used to match the widget against CSS pseudo-classes. Note that GTK extends the regular CSS classes and sometimes uses different names.

Constructors

StateFlagNormal |
StateFlagActive |
StateFlagPrelight |
StateFlagSelected |
StateFlagInsensitive |
StateFlagInconsistent |
StateFlagFocused |
StateFlagBackdrop |
StateFlagDirLtr |
StateFlagDirRtl |
StateFlagLink |
StateFlagVisited |
StateFlagChecked |
StateFlagDropActive |

#### Instances

Instances details

Bounded StateFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods minBound :: StateFlags Source # maxBound :: StateFlags Source #
Enum StateFlags Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: StateFlags -> StateFlags Source #

pred :: StateFlags -> StateFlags Source #

toEnum :: Int -> StateFlags Source #

fromEnum :: StateFlags -> Int Source #

enumFrom :: StateFlags -> [StateFlags] Source #

enumFromThen :: StateFlags -> StateFlags -> [StateFlags] Source #

enumFromTo :: StateFlags -> StateFlags -> [StateFlags] Source #

enumFromThenTo :: StateFlags -> StateFlags -> StateFlags -> [StateFlags] Source #

Show StateFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> StateFlags -> ShowS Source # show :: StateFlags -> String Source # showList :: [StateFlags] -> ShowS Source #
Eq StateFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: StateFlags -> StateFlags -> Bool Source # (/=) :: StateFlags -> StateFlags -> Bool Source #
Flags StateFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums

data SortType Source #

Constructors

SortAscending |
SortDescending |

#### Instances

Instances details

Enum SortType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: SortType -> SortType Source #

pred :: SortType -> SortType Source #

toEnum :: Int -> SortType Source #

fromEnum :: SortType -> Int Source #

enumFrom :: SortType -> [SortType] Source #

enumFromThen :: SortType -> SortType -> [SortType] Source #

enumFromTo :: SortType -> SortType -> [SortType] Source #

enumFromThenTo :: SortType -> SortType -> SortType -> [SortType] Source #

Show SortType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> SortType -> ShowS Source # show :: SortType -> String Source # showList :: [SortType] -> ShowS Source #
Eq SortType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: SortType -> SortType -> Bool Source # (/=) :: SortType -> SortType -> Bool Source #

data StateType Source #

Widget states

Constructors

StateNormal |
StateActive |
StatePrelight |
StateSelected |
StateInsensitive |
StateInconsistent |
StateFocused |

#### Instances

Instances details

Enum StateType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: StateType -> StateType Source #

pred :: StateType -> StateType Source #

toEnum :: Int -> StateType Source #

fromEnum :: StateType -> Int Source #

enumFrom :: StateType -> [StateType] Source #

enumFromThen :: StateType -> StateType -> [StateType] Source #

enumFromTo :: StateType -> StateType -> [StateType] Source #

enumFromThenTo :: StateType -> StateType -> StateType -> [StateType] Source #

Show StateType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> StateType -> ShowS Source # show :: StateType -> String Source # showList :: [StateType] -> ShowS Source #
Eq StateType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: StateType -> StateType -> Bool Source # (/=) :: StateType -> StateType -> Bool Source #

data SpinButtonUpdatePolicy Source #

Whether to clamp or ignore illegal values.

Constructors

UpdateAlways |
UpdateIfValid |

#### Instances

Instances details

Enum SpinButtonUpdatePolicy Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy Source #

pred :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy Source #

toEnum :: Int -> SpinButtonUpdatePolicy Source #

fromEnum :: SpinButtonUpdatePolicy -> Int Source #

enumFrom :: SpinButtonUpdatePolicy -> [SpinButtonUpdatePolicy] Source #

enumFromThen :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> [SpinButtonUpdatePolicy] Source #

enumFromTo :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> [SpinButtonUpdatePolicy] Source #

enumFromThenTo :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> [SpinButtonUpdatePolicy] Source #

Show SpinButtonUpdatePolicy Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> SpinButtonUpdatePolicy -> ShowS Source # show :: SpinButtonUpdatePolicy -> String Source # showList :: [SpinButtonUpdatePolicy] -> ShowS Source #
Eq SpinButtonUpdatePolicy Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> Bool Source # (/=) :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> Bool Source #

data SpinType Source #

Spin a SpinButton with the following method.

Constructors

SpinStepForward |
SpinStepBackward |
SpinPageForward |
SpinPageBackward |
SpinHome |
SpinEnd |
SpinUserDefined |

#### Instances

Instances details

Enum SpinType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: SpinType -> SpinType Source #

pred :: SpinType -> SpinType Source #

toEnum :: Int -> SpinType Source #

fromEnum :: SpinType -> Int Source #

enumFrom :: SpinType -> [SpinType] Source #

enumFromThen :: SpinType -> SpinType -> [SpinType] Source #

enumFromTo :: SpinType -> SpinType -> [SpinType] Source #

enumFromThenTo :: SpinType -> SpinType -> SpinType -> [SpinType] Source #

Show SpinType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> SpinType -> ShowS Source # show :: SpinType -> String Source # showList :: [SpinType] -> ShowS Source #
Eq SpinType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: SpinType -> SpinType -> Bool Source # (/=) :: SpinType -> SpinType -> Bool Source #

data TargetFlags Source #

The `TargetFlags` enumeration is used to specify constraints on an entry in a `TargetList`. These flags are only used for drag and drop.

- If the `TargetSameApp` flag is set, the target will only be selected for drags within a single application.
- If the `TargetSameWidget` flag is set, the target will only be selected for drags within a single widget.

Constructors

TargetSameApp |
TargetSameWidget |
TargetOtherApp |
TargetOtherWidget |

#### Instances

Instances details

Bounded TargetFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods minBound :: TargetFlags Source # maxBound :: TargetFlags Source #
Enum TargetFlags Source # | Is the text written from left to right or the exotic way?

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: TargetFlags -> TargetFlags Source #

pred :: TargetFlags -> TargetFlags Source #

toEnum :: Int -> TargetFlags Source #

fromEnum :: TargetFlags -> Int Source #

enumFrom :: TargetFlags -> [TargetFlags] Source #

enumFromThen :: TargetFlags -> TargetFlags -> [TargetFlags] Source #

enumFromTo :: TargetFlags -> TargetFlags -> [TargetFlags] Source #

enumFromThenTo :: TargetFlags -> TargetFlags -> TargetFlags -> [TargetFlags] Source #

Show TargetFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> TargetFlags -> ShowS Source # show :: TargetFlags -> String Source # showList :: [TargetFlags] -> ShowS Source #
Eq TargetFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: TargetFlags -> TargetFlags -> Bool Source # (/=) :: TargetFlags -> TargetFlags -> Bool Source #
Flags TargetFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums

data TextDirection Source #

Constructors

TextDirNone |
TextDirLtr |
TextDirRtl |

#### Instances

Instances details

Enum TextDirection Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: TextDirection -> TextDirection Source #

pred :: TextDirection -> TextDirection Source #

toEnum :: Int -> TextDirection Source #

fromEnum :: TextDirection -> Int Source #

enumFrom :: TextDirection -> [TextDirection] Source #

enumFromThen :: TextDirection -> TextDirection -> [TextDirection] Source #

enumFromTo :: TextDirection -> TextDirection -> [TextDirection] Source #

enumFromThenTo :: TextDirection -> TextDirection -> TextDirection -> [TextDirection] Source #

Show TextDirection Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> TextDirection -> ShowS Source # show :: TextDirection -> String Source # showList :: [TextDirection] -> ShowS Source #
Eq TextDirection Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: TextDirection -> TextDirection -> Bool Source # (/=) :: TextDirection -> TextDirection -> Bool Source #

data TextSearchFlags Source #

Specify the way the search function for `TextBuffer` works.

Constructors

TextSearchVisibleOnly |
TextSearchTextOnly |
TextSearchCaseInsensitive |

#### Instances

Instances details

Bounded TextSearchFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods minBound :: TextSearchFlags Source # maxBound :: TextSearchFlags Source #
Enum TextSearchFlags Source # | The window type for coordinate translation.

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: TextSearchFlags -> TextSearchFlags Source #

pred :: TextSearchFlags -> TextSearchFlags Source #

toEnum :: Int -> TextSearchFlags Source #

fromEnum :: TextSearchFlags -> Int Source #

enumFrom :: TextSearchFlags -> [TextSearchFlags] Source #

enumFromThen :: TextSearchFlags -> TextSearchFlags -> [TextSearchFlags] Source #

enumFromTo :: TextSearchFlags -> TextSearchFlags -> [TextSearchFlags] Source #

enumFromThenTo :: TextSearchFlags -> TextSearchFlags -> TextSearchFlags -> [TextSearchFlags] Source #

Show TextSearchFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> TextSearchFlags -> ShowS Source # show :: TextSearchFlags -> String Source # showList :: [TextSearchFlags] -> ShowS Source #
Eq TextSearchFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: TextSearchFlags -> TextSearchFlags -> Bool Source # (/=) :: TextSearchFlags -> TextSearchFlags -> Bool Source #
Flags TextSearchFlags Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums

data TextWindowType Source #

Constructors

TextWindowPrivate |
TextWindowWidget |
TextWindowText |
TextWindowLeft |
TextWindowRight |
TextWindowTop |
TextWindowBottom |

#### Instances

Instances details

Enum TextWindowType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: TextWindowType -> TextWindowType Source #

pred :: TextWindowType -> TextWindowType Source #

toEnum :: Int -> TextWindowType Source #

fromEnum :: TextWindowType -> Int Source #

enumFrom :: TextWindowType -> [TextWindowType] Source #

enumFromThen :: TextWindowType -> TextWindowType -> [TextWindowType] Source #

enumFromTo :: TextWindowType -> TextWindowType -> [TextWindowType] Source #

enumFromThenTo :: TextWindowType -> TextWindowType -> TextWindowType -> [TextWindowType] Source #

Show TextWindowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> TextWindowType -> ShowS Source # show :: TextWindowType -> String Source # showList :: [TextWindowType] -> ShowS Source #
Eq TextWindowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: TextWindowType -> TextWindowType -> Bool Source # (/=) :: TextWindowType -> TextWindowType -> Bool Source #

data ToolbarStyle Source #

Where to place the toolbar?

Constructors

ToolbarIcons |
ToolbarText |
ToolbarBoth |
ToolbarBothHoriz |

#### Instances

Instances details

Enum ToolbarStyle Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ToolbarStyle -> ToolbarStyle Source #

pred :: ToolbarStyle -> ToolbarStyle Source #

toEnum :: Int -> ToolbarStyle Source #

fromEnum :: ToolbarStyle -> Int Source #

enumFrom :: ToolbarStyle -> [ToolbarStyle] Source #

enumFromThen :: ToolbarStyle -> ToolbarStyle -> [ToolbarStyle] Source #

enumFromTo :: ToolbarStyle -> ToolbarStyle -> [ToolbarStyle] Source #

enumFromThenTo :: ToolbarStyle -> ToolbarStyle -> ToolbarStyle -> [ToolbarStyle] Source #

Show ToolbarStyle Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ToolbarStyle -> ShowS Source # show :: ToolbarStyle -> String Source # showList :: [ToolbarStyle] -> ShowS Source #
Eq ToolbarStyle Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ToolbarStyle -> ToolbarStyle -> Bool Source # (/=) :: ToolbarStyle -> ToolbarStyle -> Bool Source #

data TreeViewColumnSizing Source #

Whether columns of a tree or list widget can be resized.

Constructors

TreeViewColumnGrowOnly |
TreeViewColumnAutosize |
TreeViewColumnFixed |

#### Instances

Instances details

Enum TreeViewColumnSizing Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: TreeViewColumnSizing -> TreeViewColumnSizing Source #

pred :: TreeViewColumnSizing -> TreeViewColumnSizing Source #

toEnum :: Int -> TreeViewColumnSizing Source #

fromEnum :: TreeViewColumnSizing -> Int Source #

enumFrom :: TreeViewColumnSizing -> [TreeViewColumnSizing] Source #

enumFromThen :: TreeViewColumnSizing -> TreeViewColumnSizing -> [TreeViewColumnSizing] Source #

enumFromTo :: TreeViewColumnSizing -> TreeViewColumnSizing -> [TreeViewColumnSizing] Source #

enumFromThenTo :: TreeViewColumnSizing -> TreeViewColumnSizing -> TreeViewColumnSizing -> [TreeViewColumnSizing] Source #

Show TreeViewColumnSizing Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> TreeViewColumnSizing -> ShowS Source # show :: TreeViewColumnSizing -> String Source # showList :: [TreeViewColumnSizing] -> ShowS Source #
Eq TreeViewColumnSizing Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: TreeViewColumnSizing -> TreeViewColumnSizing -> Bool Source # (/=) :: TreeViewColumnSizing -> TreeViewColumnSizing -> Bool Source #

data WindowPosition Source #

Window position types

Constructors

WinPosNone |
WinPosCenter |
WinPosMouse |
WinPosCenterAlways |
WinPosCenterOnParent |

#### Instances

Instances details

Enum WindowPosition Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: WindowPosition -> WindowPosition Source #

pred :: WindowPosition -> WindowPosition Source #

toEnum :: Int -> WindowPosition Source #

fromEnum :: WindowPosition -> Int Source #

enumFrom :: WindowPosition -> [WindowPosition] Source #

enumFromThen :: WindowPosition -> WindowPosition -> [WindowPosition] Source #

enumFromTo :: WindowPosition -> WindowPosition -> [WindowPosition] Source #

enumFromThenTo :: WindowPosition -> WindowPosition -> WindowPosition -> [WindowPosition] Source #

Show WindowPosition Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> WindowPosition -> ShowS Source # show :: WindowPosition -> String Source # showList :: [WindowPosition] -> ShowS Source #
Eq WindowPosition Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: WindowPosition -> WindowPosition -> Bool Source # (/=) :: WindowPosition -> WindowPosition -> Bool Source #

data WindowType Source #

Interaction of a window with window manager

Constructors

WindowToplevel |
WindowPopup |

#### Instances

Instances details

Enum WindowType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: WindowType -> WindowType Source #

pred :: WindowType -> WindowType Source #

toEnum :: Int -> WindowType Source #

fromEnum :: WindowType -> Int Source #

enumFrom :: WindowType -> [WindowType] Source #

enumFromThen :: WindowType -> WindowType -> [WindowType] Source #

enumFromTo :: WindowType -> WindowType -> [WindowType] Source #

enumFromThenTo :: WindowType -> WindowType -> WindowType -> [WindowType] Source #

Show WindowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> WindowType -> ShowS Source # show :: WindowType -> String Source # showList :: [WindowType] -> ShowS Source #
Eq WindowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: WindowType -> WindowType -> Bool Source # (/=) :: WindowType -> WindowType -> Bool Source #

data WrapMode Source #

Determine how lines are wrapped in a `TextView`.

Constructors

WrapNone |
WrapChar |
WrapWord |
WrapWordChar |

#### Instances

Instances details

Enum WrapMode Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: WrapMode -> WrapMode Source #

pred :: WrapMode -> WrapMode Source #

toEnum :: Int -> WrapMode Source #

fromEnum :: WrapMode -> Int Source #

enumFrom :: WrapMode -> [WrapMode] Source #

enumFromThen :: WrapMode -> WrapMode -> [WrapMode] Source #

enumFromTo :: WrapMode -> WrapMode -> [WrapMode] Source #

enumFromThenTo :: WrapMode -> WrapMode -> WrapMode -> [WrapMode] Source #

Show WrapMode Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> WrapMode -> ShowS Source # show :: WrapMode -> String Source # showList :: [WrapMode] -> ShowS Source #
Eq WrapMode Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: WrapMode -> WrapMode -> Bool Source # (/=) :: WrapMode -> WrapMode -> Bool Source #

data EntryIconPosition Source #

Specifies the side of the entry at which an icon is placed.

Constructors

EntryIconPrimary |
EntryIconSecondary |

#### Instances

Instances details

Enum EntryIconPosition Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: EntryIconPosition -> EntryIconPosition Source #

pred :: EntryIconPosition -> EntryIconPosition Source #

toEnum :: Int -> EntryIconPosition Source #

fromEnum :: EntryIconPosition -> Int Source #

enumFrom :: EntryIconPosition -> [EntryIconPosition] Source #

enumFromThen :: EntryIconPosition -> EntryIconPosition -> [EntryIconPosition] Source #

enumFromTo :: EntryIconPosition -> EntryIconPosition -> [EntryIconPosition] Source #

enumFromThenTo :: EntryIconPosition -> EntryIconPosition -> EntryIconPosition -> [EntryIconPosition] Source #

Show EntryIconPosition Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> EntryIconPosition -> ShowS Source # show :: EntryIconPosition -> String Source # showList :: [EntryIconPosition] -> ShowS Source #
Eq EntryIconPosition Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: EntryIconPosition -> EntryIconPosition -> Bool Source # (/=) :: EntryIconPosition -> EntryIconPosition -> Bool Source #

data StackTransitionType Source #

Constructors

StackTransitionTypeNone |
StackTransitionTypeCrossfade |
StackTransitionTypeSlideRight |
StackTransitionTypeSlideLeft |
StackTransitionTypeSlideUp |
StackTransitionTypeSlideDown |
StackTransitionTypeSlideLeftRight |
StackTransitionTypeSlideUpDown |
StackTransitionTypeOverUp |
StackTransitionTypeOverDown |
StackTransitionTypeOverLeft |
StackTransitionTypeOverRight |
StackTransitionTypeUnderUp |
StackTransitionTypeUnderDown |
StackTransitionTypeUnderLeft |
StackTransitionTypeUnderRight |
StackTransitionTypeOverUpDown |
StackTransitionTypeOverDownUp |
StackTransitionTypeOverLeftRight |
StackTransitionTypeOverRightLeft |

#### Instances

Instances details

Enum StackTransitionType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: StackTransitionType -> StackTransitionType Source #

pred :: StackTransitionType -> StackTransitionType Source #

toEnum :: Int -> StackTransitionType Source #

fromEnum :: StackTransitionType -> Int Source #

enumFrom :: StackTransitionType -> [StackTransitionType] Source #

enumFromThen :: StackTransitionType -> StackTransitionType -> [StackTransitionType] Source #

enumFromTo :: StackTransitionType -> StackTransitionType -> [StackTransitionType] Source #

enumFromThenTo :: StackTransitionType -> StackTransitionType -> StackTransitionType -> [StackTransitionType] Source #

Show StackTransitionType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> StackTransitionType -> ShowS Source # show :: StackTransitionType -> String Source # showList :: [StackTransitionType] -> ShowS Source #
Eq StackTransitionType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: StackTransitionType -> StackTransitionType -> Bool Source # (/=) :: StackTransitionType -> StackTransitionType -> Bool Source #

data Modifier Source #

Keyboard modifiers that are depressed when the user presses a key or a mouse button.

- This data type is used to build lists of modifiers that were active during an event.
- The Apple key on Macintoshs is mapped to `Alt2` and the `Meta` key (if available).
- Since Gtk 2.10, there are also `Super`, `Hyper` and `Meta` modifiers which are simply generated from `Alt` .. `Compose` modifier keys, depending on the mapping used by the windowing system. Due to one key being mapped to e.g. `Alt2` and `Meta`, you shouldn't pattern match directly against a certain key but check whether a key is in the list using the `elem` function, say.

Constructors

Shift |
Lock |
Control |
Alt |
Alt2 |
Alt3 |
Alt4 |
Alt5 |
Button1 |
Button2 |
Button3 |
Button4 |
Button5 |
MODIFIER_RESERVED_13_MASK |
MODIFIER_RESERVED_14_MASK |
MODIFIER_RESERVED_15_MASK |
MODIFIER_RESERVED_16_MASK |
MODIFIER_RESERVED_17_MASK |
MODIFIER_RESERVED_18_MASK |
MODIFIER_RESERVED_19_MASK |
MODIFIER_RESERVED_20_MASK |
MODIFIER_RESERVED_21_MASK |
MODIFIER_RESERVED_22_MASK |
MODIFIER_RESERVED_23_MASK |
MODIFIER_RESERVED_24_MASK |
MODIFIER_RESERVED_25_MASK |
Super |
Hyper |
Meta |
MODIFIER_RESERVED_29_MASK |
Release |
ModifierMask |

#### Instances

Instances details

Bounded Modifier Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods minBound :: Modifier Source # maxBound :: Modifier Source #
Enum Modifier Source # |

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: Modifier -> Modifier Source #

pred :: Modifier -> Modifier Source #

toEnum :: Int -> Modifier Source #

fromEnum :: Modifier -> Int Source #

enumFrom :: Modifier -> [Modifier] Source #

enumFromThen :: Modifier -> Modifier -> [Modifier] Source #

enumFromTo :: Modifier -> Modifier -> [Modifier] Source #

enumFromThenTo :: Modifier -> Modifier -> Modifier -> [Modifier] Source #

Show Modifier Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> Modifier -> ShowS Source # show :: Modifier -> String Source # showList :: [Modifier] -> ShowS Source #
Eq Modifier Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: Modifier -> Modifier -> Bool Source # (/=) :: Modifier -> Modifier -> Bool Source #
Flags Modifier Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums

data EventMask Source #

Specify which events a widget will emit signals on.

Constructors

ExposureMask |
PointerMotionMask |
PointerMotionHintMask |
ButtonMotionMask |
Button1MotionMask |
Button2MotionMask |
Button3MotionMask |
ButtonPressMask |
ButtonReleaseMask |
KeyPressMask |
KeyReleaseMask |
EnterNotifyMask |
LeaveNotifyMask |
FocusChangeMask |
StructureMask |
PropertyChangeMask |
VisibilityNotifyMask |
ProximityInMask |
ProximityOutMask |
SubstructureMask |
ScrollMask |
TouchMask |
SmoothScrollMask |
TouchpadGestureMask |
TabletPadMask |
AllEventsMask |

#### Instances

Instances details

Bounded EventMask Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods minBound :: EventMask Source # maxBound :: EventMask Source #
Enum EventMask Source # |

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: EventMask -> EventMask Source #

pred :: EventMask -> EventMask Source #

toEnum :: Int -> EventMask Source #

fromEnum :: EventMask -> Int Source #

enumFrom :: EventMask -> [EventMask] Source #

enumFromThen :: EventMask -> EventMask -> [EventMask] Source #

enumFromTo :: EventMask -> EventMask -> [EventMask] Source #

enumFromThenTo :: EventMask -> EventMask -> EventMask -> [EventMask] Source #

Show EventMask Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> EventMask -> ShowS Source # show :: EventMask -> String Source # showList :: [EventMask] -> ShowS Source #
Eq EventMask Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: EventMask -> EventMask -> Bool Source # (/=) :: EventMask -> EventMask -> Bool Source #
Flags EventMask Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums

data ModifierIntent Source #

Constructors

ModifierIntentPrimaryAccelerator |
ModifierIntentContextMenu |
ModifierIntentExtendSelection |
ModifierIntentModifySelection |
ModifierIntentNoTextInput |
ModifierIntentShiftGroup |
ModifierIntentDefaultModMask |

#### Instances

Instances details

Enum ModifierIntent Source # |

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: ModifierIntent -> ModifierIntent Source #

pred :: ModifierIntent -> ModifierIntent Source #

toEnum :: Int -> ModifierIntent Source #

fromEnum :: ModifierIntent -> Int Source #

enumFrom :: ModifierIntent -> [ModifierIntent] Source #

enumFromThen :: ModifierIntent -> ModifierIntent -> [ModifierIntent] Source #

enumFromTo :: ModifierIntent -> ModifierIntent -> [ModifierIntent] Source #

enumFromThenTo :: ModifierIntent -> ModifierIntent -> ModifierIntent -> [ModifierIntent] Source #

Show ModifierIntent Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> ModifierIntent -> ShowS Source # show :: ModifierIntent -> String Source # showList :: [ModifierIntent] -> ShowS Source #
Eq ModifierIntent Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: ModifierIntent -> ModifierIntent -> Bool Source # (/=) :: ModifierIntent -> ModifierIntent -> Bool Source #

data WindowState Source #

The state a `DrawWindow` is in.

Constructors

WindowStateWithdrawn |
WindowStateIconified |
WindowStateMaximized |
WindowStateSticky |
WindowStateFullscreen |
WindowStateAbove |
WindowStateBelow |
WindowStateFocused |
WindowStateTiled |
WindowStateTopTiled |
WindowStateTopResizable |
WindowStateRightTiled |
WindowStateRightResizable |
WindowStateBottomTiled |
WindowStateBottomResizable |
WindowStateLeftTiled |
WindowStateLeftResizable |

#### Instances

Instances details

Bounded WindowState Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods minBound :: WindowState Source # maxBound :: WindowState Source #
Enum WindowState Source # | Defines the reference point of a window and the meaning of coordinates passed to `windowMove`. See `windowMove` and the "implementation notes" section of the extended window manager hints specification for more details.

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: WindowState -> WindowState Source #

pred :: WindowState -> WindowState Source #

toEnum :: Int -> WindowState Source #

fromEnum :: WindowState -> Int Source #

enumFrom :: WindowState -> [WindowState] Source #

enumFromThen :: WindowState -> WindowState -> [WindowState] Source #

enumFromTo :: WindowState -> WindowState -> [WindowState] Source #

enumFromThenTo :: WindowState -> WindowState -> WindowState -> [WindowState] Source #

Show WindowState Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> WindowState -> ShowS Source # show :: WindowState -> String Source # showList :: [WindowState] -> ShowS Source #
Eq WindowState Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: WindowState -> WindowState -> Bool Source # (/=) :: WindowState -> WindowState -> Bool Source #
Flags WindowState Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums

data ScrollDirection Source #

in which direction was scrolled?

Constructors

ScrollUp |
ScrollDown |
ScrollLeft |
ScrollRight |
ScrollSmooth |

#### Instances

Instances details

Enum ScrollDirection Source # |

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: ScrollDirection -> ScrollDirection Source #

pred :: ScrollDirection -> ScrollDirection Source #

toEnum :: Int -> ScrollDirection Source #

fromEnum :: ScrollDirection -> Int Source #

enumFrom :: ScrollDirection -> [ScrollDirection] Source #

enumFromThen :: ScrollDirection -> ScrollDirection -> [ScrollDirection] Source #

enumFromTo :: ScrollDirection -> ScrollDirection -> [ScrollDirection] Source #

enumFromThenTo :: ScrollDirection -> ScrollDirection -> ScrollDirection -> [ScrollDirection] Source #

Show ScrollDirection Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> ScrollDirection -> ShowS Source # show :: ScrollDirection -> String Source # showList :: [ScrollDirection] -> ShowS Source #
Eq ScrollDirection Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: ScrollDirection -> ScrollDirection -> Bool Source # (/=) :: ScrollDirection -> ScrollDirection -> Bool Source #

data VisibilityState Source #

visibility of a window

Constructors

VisibilityUnobscured |
VisibilityPartialObscured |
VisibilityFullyObscured |

#### Instances

Instances details

Enum VisibilityState Source # |

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: VisibilityState -> VisibilityState Source #

pred :: VisibilityState -> VisibilityState Source #

toEnum :: Int -> VisibilityState Source #

fromEnum :: VisibilityState -> Int Source #

enumFrom :: VisibilityState -> [VisibilityState] Source #

enumFromThen :: VisibilityState -> VisibilityState -> [VisibilityState] Source #

enumFromTo :: VisibilityState -> VisibilityState -> [VisibilityState] Source #

enumFromThenTo :: VisibilityState -> VisibilityState -> VisibilityState -> [VisibilityState] Source #

Show VisibilityState Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> VisibilityState -> ShowS Source # show :: VisibilityState -> String Source # showList :: [VisibilityState] -> ShowS Source #
Eq VisibilityState Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: VisibilityState -> VisibilityState -> Bool Source # (/=) :: VisibilityState -> VisibilityState -> Bool Source #

data CrossingMode Source #

How focus is crossing the widget.

Constructors

CrossingNormal |
CrossingGrab |
CrossingUngrab |
CrossingGtkGrab |
CrossingGtkUngrab |
CrossingStateChanged |
CrossingTouchBegin |
CrossingTouchEnd |
CrossingDeviceSwitch |

#### Instances

Instances details

Enum CrossingMode Source # |

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: CrossingMode -> CrossingMode Source #

pred :: CrossingMode -> CrossingMode Source #

toEnum :: Int -> CrossingMode Source #

fromEnum :: CrossingMode -> Int Source #

enumFrom :: CrossingMode -> [CrossingMode] Source #

enumFromThen :: CrossingMode -> CrossingMode -> [CrossingMode] Source #

enumFromTo :: CrossingMode -> CrossingMode -> [CrossingMode] Source #

enumFromThenTo :: CrossingMode -> CrossingMode -> CrossingMode -> [CrossingMode] Source #

Show CrossingMode Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> CrossingMode -> ShowS Source # show :: CrossingMode -> String Source # showList :: [CrossingMode] -> ShowS Source #
Eq CrossingMode Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: CrossingMode -> CrossingMode -> Bool Source # (/=) :: CrossingMode -> CrossingMode -> Bool Source #

data NotifyType Source #

Information on from what level of the widget hierarchy the mouse cursor came.

`NotifyAncestor`
  The window is entered from an ancestor or left towards an ancestor.
`NotifyVirtual`
  The pointer moves between an ancestor and an inferior of the window.
`NotifyInferior`
  The window is entered from an inferior or left towards an inferior.
`NotifyNonlinear`
  The window is entered from or left towards a window which is neither an ancestor nor an inferior.
`NotifyNonlinearVirtual`
  The pointer moves between two windows which are not ancestors of each other and the window is part of the ancestor chain between one of these windows and their least common ancestor.
`NotifyUnknown`
  The level change does not fit into any of the other categories or could not be determined.

Constructors

NotifyAncestor |
NotifyVirtual |
NotifyInferior |
NotifyNonlinear |
NotifyNonlinearVirtual |
NotifyUnknown |

#### Instances

Instances details

Enum NotifyType Source # |

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: NotifyType -> NotifyType Source #

pred :: NotifyType -> NotifyType Source #

toEnum :: Int -> NotifyType Source #

fromEnum :: NotifyType -> Int Source #

enumFrom :: NotifyType -> [NotifyType] Source #

enumFromThen :: NotifyType -> NotifyType -> [NotifyType] Source #

enumFromTo :: NotifyType -> NotifyType -> [NotifyType] Source #

enumFromThenTo :: NotifyType -> NotifyType -> NotifyType -> [NotifyType] Source #

Show NotifyType Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> NotifyType -> ShowS Source # show :: NotifyType -> String Source # showList :: [NotifyType] -> ShowS Source #
Eq NotifyType Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: NotifyType -> NotifyType -> Bool Source # (/=) :: NotifyType -> NotifyType -> Bool Source #

data OwnerChange Source #

Constructors

OwnerChangeNewOwner |
OwnerChangeDestroy |
OwnerChangeClose |

#### Instances

Instances details

Enum OwnerChange Source # |

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: OwnerChange -> OwnerChange Source #

pred :: OwnerChange -> OwnerChange Source #

toEnum :: Int -> OwnerChange Source #

fromEnum :: OwnerChange -> Int Source #

enumFrom :: OwnerChange -> [OwnerChange] Source #

enumFromThen :: OwnerChange -> OwnerChange -> [OwnerChange] Source #

enumFromTo :: OwnerChange -> OwnerChange -> [OwnerChange] Source #

enumFromThenTo :: OwnerChange -> OwnerChange -> OwnerChange -> [OwnerChange] Source #

Show OwnerChange Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> OwnerChange -> ShowS Source # show :: OwnerChange -> String Source # showList :: [OwnerChange] -> ShowS Source #
Eq OwnerChange Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: OwnerChange -> OwnerChange -> Bool Source # (/=) :: OwnerChange -> OwnerChange -> Bool Source #

data GrabStatus Source #

Constructors

GrabSuccess |
GrabAlreadyGrabbed |
GrabInvalidTime |
GrabNotViewable |
GrabFrozen |
GrabFailed |

#### Instances

Instances details

Enum GrabStatus Source #

Specifies why a selection ownership was changed.

`OwnerChangeNewOwner`
  some other application claimed the ownership
`OwnerChangeDestroy`
  the window was destroyed
`OwnerChangeClose`
  the client was closed

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: GrabStatus -> GrabStatus Source #

pred :: GrabStatus -> GrabStatus Source #

toEnum :: Int -> GrabStatus Source #

fromEnum :: GrabStatus -> Int Source #

enumFrom :: GrabStatus -> [GrabStatus] Source #

enumFromThen :: GrabStatus -> GrabStatus -> [GrabStatus] Source #

enumFromTo :: GrabStatus -> GrabStatus -> [GrabStatus] Source #

enumFromThenTo :: GrabStatus -> GrabStatus -> GrabStatus -> [GrabStatus] Source #

Show GrabStatus Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> GrabStatus -> ShowS Source # show :: GrabStatus -> String Source # showList :: [GrabStatus] -> ShowS Source #
Eq GrabStatus Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: GrabStatus -> GrabStatus -> Bool Source # (/=) :: GrabStatus -> GrabStatus -> Bool Source #

data DragAction Source #

Constructors

ActionDefault |
ActionCopy |
ActionMove |
ActionLink |
ActionPrivate |
ActionAsk |

#### Instances

Instances details

Bounded DragAction Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods minBound :: DragAction Source # maxBound :: DragAction Source #
Enum DragAction Source # |

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: DragAction -> DragAction Source #

pred :: DragAction -> DragAction Source #

toEnum :: Int -> DragAction Source #

fromEnum :: DragAction -> Int Source #

enumFrom :: DragAction -> [DragAction] Source #

enumFromThen :: DragAction -> DragAction -> [DragAction] Source #

enumFromTo :: DragAction -> DragAction -> [DragAction] Source #

enumFromThenTo :: DragAction -> DragAction -> DragAction -> [DragAction] Source #

Show DragAction Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> DragAction -> ShowS Source # show :: DragAction -> String Source # showList :: [DragAction] -> ShowS Source #
Eq DragAction Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: DragAction -> DragAction -> Bool Source # (/=) :: DragAction -> DragAction -> Bool Source #
Flags DragAction Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums

data DragProtocol Source #

Used in `DragContext` to indicate the protocol according to which DND is done.

Constructors

DragProtoNone |
DragProtoMotif |
DragProtoXdnd |
DragProtoRootwin |
DragProtoWin32Dropfiles |
DragProtoOle2 |
DragProtoLocal |
DragProtoWayland |

#### Instances

Instances details

Bounded DragProtocol Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods minBound :: DragProtocol Source # maxBound :: DragProtocol Source #

Enum DragProtocol Source #

Used in `DragContext` to indicate what the destination should do with the dropped data.

- `ActionDefault`: Initialisation value, should not be used.
- `ActionCopy`: Copy the data.
- `ActionMove`: Move the data, i.e. first copy it, then delete it from the source.
- `ActionLink`: Add a link to the data. Note that this is only useful if source and destination agree on what it means.
- `ActionPrivate`: Special action which tells the source that the destination will do something that the source doesn't understand.
- `ActionAsk`: Ask the user what to do with the data.

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: DragProtocol -> DragProtocol Source #

pred :: DragProtocol -> DragProtocol Source #

toEnum :: Int -> DragProtocol Source #

fromEnum :: DragProtocol -> Int Source #

enumFrom :: DragProtocol -> [DragProtocol] Source #

enumFromThen :: DragProtocol -> DragProtocol -> [DragProtocol] Source #

enumFromTo :: DragProtocol -> DragProtocol -> [DragProtocol] Source #

enumFromThenTo :: DragProtocol -> DragProtocol -> DragProtocol -> [DragProtocol] Source #

Show DragProtocol Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> DragProtocol -> ShowS Source # show :: DragProtocol -> String Source # showList :: [DragProtocol] -> ShowS Source #
Eq DragProtocol Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: DragProtocol -> DragProtocol -> Bool Source # (/=) :: DragProtocol -> DragProtocol -> Bool Source #

data WindowEdge Source #

Determines a window edge or corner.

Constructors

WindowEdgeNorthWest |
WindowEdgeNorth |
WindowEdgeNorthEast |
WindowEdgeWest |
WindowEdgeEast |
WindowEdgeSouthWest |
WindowEdgeSouth |
WindowEdgeSouthEast |

#### Instances

Instances details

Enum WindowEdge Source # |

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: WindowEdge -> WindowEdge Source #

pred :: WindowEdge -> WindowEdge Source #

toEnum :: Int -> WindowEdge Source #

fromEnum :: WindowEdge -> Int Source #

enumFrom :: WindowEdge -> [WindowEdge] Source #

enumFromThen :: WindowEdge -> WindowEdge -> [WindowEdge] Source #

enumFromTo :: WindowEdge -> WindowEdge -> [WindowEdge] Source #

enumFromThenTo :: WindowEdge -> WindowEdge -> WindowEdge -> [WindowEdge] Source #

Show WindowEdge Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> WindowEdge -> ShowS Source # show :: WindowEdge -> String Source # showList :: [WindowEdge] -> ShowS Source #
Eq WindowEdge Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: WindowEdge -> WindowEdge -> Bool Source # (/=) :: WindowEdge -> WindowEdge -> Bool Source #

data WindowTypeHint Source #

These are hints for the window manager that indicate what type of function the window has. The window manager can use this when determining decoration and behaviour of the window. The hint must be set before mapping the window.

See the extended window manager hints specification for more details about window types.

Constructors

WindowTypeHintNormal |
WindowTypeHintDialog |
WindowTypeHintMenu |
WindowTypeHintToolbar |
WindowTypeHintSplashscreen |
WindowTypeHintUtility |
WindowTypeHintDock |
WindowTypeHintDesktop |
WindowTypeHintDropdownMenu |
WindowTypeHintPopupMenu |
WindowTypeHintTooltip |
WindowTypeHintNotification |
WindowTypeHintCombo |
WindowTypeHintDnd |

#### Instances

Instances details

Enum WindowTypeHint Source # |

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: WindowTypeHint -> WindowTypeHint Source #

pred :: WindowTypeHint -> WindowTypeHint Source #

toEnum :: Int -> WindowTypeHint Source #

fromEnum :: WindowTypeHint -> Int Source #

enumFrom :: WindowTypeHint -> [WindowTypeHint] Source #

enumFromThen :: WindowTypeHint -> WindowTypeHint -> [WindowTypeHint] Source #

enumFromTo :: WindowTypeHint -> WindowTypeHint -> [WindowTypeHint] Source #

enumFromThenTo :: WindowTypeHint -> WindowTypeHint -> WindowTypeHint -> [WindowTypeHint] Source #

Show WindowTypeHint Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> WindowTypeHint -> ShowS Source # show :: WindowTypeHint -> String Source # showList :: [WindowTypeHint] -> ShowS Source #
Eq WindowTypeHint Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: WindowTypeHint -> WindowTypeHint -> Bool Source # (/=) :: WindowTypeHint -> WindowTypeHint -> Bool Source #

data Gravity Source #

Constructors

GravityNorthWest |
GravityNorth |
GravityNorthEast |
GravityWest |
GravityCenter |
GravityEast |
GravitySouthWest |
GravitySouth |
GravitySouthEast |
GravityStatic |

#### Instances

Instances details

Enum Gravity Source #

Returned by `pointerGrab` and `keyboardGrab` to indicate success or the reason for the failure of the grab attempt.

`GrabSuccess`
  the resource was successfully grabbed.
`GrabAlreadyGrabbed`
  the resource is actively grabbed by another client.
`GrabInvalidTime`
  the resource was grabbed more recently than the specified time.
`GrabNotViewable`
  the grab window or the confine_to window are not viewable.
`GrabFrozen`
  the resource is frozen by an active grab of another client.

Instance details

Defined in Graphics.UI.Gtk.Gdk.Enums

Methods

succ :: Gravity -> Gravity Source #

pred :: Gravity -> Gravity Source #

toEnum :: Int -> Gravity Source #

fromEnum :: Gravity -> Int Source #

enumFrom :: Gravity -> [Gravity] Source #

enumFromThen :: Gravity -> Gravity -> [Gravity] Source #

enumFromTo :: Gravity -> Gravity -> [Gravity] Source #

enumFromThenTo :: Gravity -> Gravity -> Gravity -> [Gravity] Source #

Show Gravity Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods showsPrec :: Int -> Gravity -> ShowS Source # show :: Gravity -> String Source # showList :: [Gravity] -> ShowS Source #
Eq Gravity Source # |
Instance details Defined in Graphics.UI.Gtk.Gdk.Enums Methods (==) :: Gravity -> Gravity -> Bool Source # (/=) :: Gravity -> Gravity -> Bool Source #